summaryrefslogtreecommitdiff
path: root/home/.oh-my-zsh/plugins/copypath
diff options
context:
space:
mode:
authornavewindre <boneyaard@gmail.com>2025-07-13 06:42:05 +0200
committernavewindre <boneyaard@gmail.com>2025-07-13 06:42:05 +0200
commit02f14a9cb152561a5e44062aac79f3b700403b40 (patch)
tree2db8ebda3b7f6f8777783aeb5c60018e6e1359d8 /home/.oh-my-zsh/plugins/copypath
parentcbbdeb2f6b40a102a829f0c47cff052937231f00 (diff)
omz
Diffstat (limited to 'home/.oh-my-zsh/plugins/copypath')
-rw-r--r--home/.oh-my-zsh/plugins/copypath/README.md15
-rw-r--r--home/.oh-my-zsh/plugins/copypath/copypath.plugin.zsh15
2 files changed, 30 insertions, 0 deletions
diff --git a/home/.oh-my-zsh/plugins/copypath/README.md b/home/.oh-my-zsh/plugins/copypath/README.md
new file mode 100644
index 0000000..1e5a463
--- /dev/null
+++ b/home/.oh-my-zsh/plugins/copypath/README.md
@@ -0,0 +1,15 @@
+# copypath plugin
+
+Copies the path of given directory or file to the system clipboard.
+
+To use it, add `copypath` to the plugins array in your zshrc file:
+
+```zsh
+plugins=(... copypath)
+```
+
+## Usage
+
+- `copypath`: copies the absolute path of the current directory.
+
+- `copypath <file_or_directory>`: copies the absolute path of the given file.
diff --git a/home/.oh-my-zsh/plugins/copypath/copypath.plugin.zsh b/home/.oh-my-zsh/plugins/copypath/copypath.plugin.zsh
new file mode 100644
index 0000000..8fe0a85
--- /dev/null
+++ b/home/.oh-my-zsh/plugins/copypath/copypath.plugin.zsh
@@ -0,0 +1,15 @@
+# Copies the path of given directory or file to the system or X Windows clipboard.
+# Copy current directory if no parameter.
+function copypath {
+ # If no argument passed, use current directory
+ local file="${1:-.}"
+
+ # If argument is not an absolute path, prepend $PWD
+ [[ $file = /* ]] || file="$PWD/$file"
+
+ # Copy the absolute path without resolving symlinks
+ # If clipcopy fails, exit the function with an error
+ print -n "${file:a}" | clipcopy || return 1
+
+ echo ${(%):-"%B${file:a}%b copied to clipboard."}
+}